%define _hwdatadir %_datadir/hwdatabase/videoaliases
%define _fdidir %_datadir/hal/fdi/policy/20thirdparty

Name: xorg-drv-mach64
Version: 6.8.1
Release: alt1
Serial: 4
Summary: ATI Mach 64 video driver
Group: System/X11
License: MIT/X11
Url: http://xorg.freedesktop.org
Packager: Valery Inozemtsev <shrek@altlinux.ru>

Requires: XORG_ABI_VIDEODRV = %get_xorg_abi_videodrv
Requires: xorg-x11-dri-mach64 xorg-x11-extensions-glx
Provides: xorg-x11-drv-mach64 = %serial:%version-%release
Obsoletes: xorg-x11-drv-mach64
Conflicts: xorg-x11-drv-mach64 <= 6.6.3

Source: %name-%version.tar
Patch: %name-%version-%release.patch

BuildRequires(pre): xorg-sdk
BuildRequires: libGL-devel xorg-fontsproto-devel xorg-randrproto-devel xorg-renderproto-devel
BuildRequires: xorg-videoproto-devel xorg-xextproto-devel xorg-xf86driproto-devel xorg-xproto-devel
BuildRequires: xorg-xineramaproto-devel xorg-xf86miscproto-devel xorg-util-macros

%description
mach64 is an Xorg driver for ATI Mach 64 based video cards.

%prep
%setup -q
%patch -p1

%build
%autoreconf
%configure \
	--with-xorg-module-dir=%_x11modulesdir \
	--enable-dri \
	--disable-static

%make_build

%install
%make DESTDIR=%buildroot install

install -pD -m644 mach64.xinf %buildroot%_hwdatadir/mach64.xinf
install -pD -m644 11-x11-video-mach64.fdi %buildroot%_fdidir/20-x11-video-mach64.fdi

%files
%_x11modulesdir/drivers/mach64_drv.so
%dir %_hwdatadir
%_hwdatadir/mach64.xinf
%_fdidir/20-x11-video-mach64.fdi

%changelog
* Thu Apr 30 2009 Valery Inozemtsev <shrek@altlinux.ru> 4:6.8.1-alt1
- 6.8.1

* Thu Feb 26 2009 Valery Inozemtsev <shrek@altlinux.ru> 4:6.8.0-alt8
- requires XORG_ABI_VIDEODRV = 5.0

* Mon Dec 01 2008 Valery Inozemtsev <shrek@altlinux.ru> 4:6.8.0-alt7
- updated build dependencies

* Wed Aug 27 2008 Valery Inozemtsev <shrek@altlinux.ru> 4:6.8.0-alt6
- requires XORG_ABI_VIDEODRV = 4.1

* Sun Aug 24 2008 Valery Inozemtsev <shrek@altlinux.ru> 4:6.8.0-alt5
- 6.8.0 release

* Mon Jun 02 2008 Valery Inozemtsev <shrek@altlinux.ru> 4:6.8.0-alt4
- renamed xorg-x11-drv-mach64 to xorg-drv-mach64
- added requires XORG_ABI_VIDEODRV = 2.0

* Fri Apr 18 2008 Valery Inozemtsev <shrek@altlinux.ru> 4:6.8.0-alt3
- GIT snapshot 2008-03-26 (89a9ad75f3e50e25275b803617d5e74709ead269)
- initial build xf86-video-mach64 apart from xf86-video-ati

